PlasticXPSpinnerUI (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.plastic

## Class PlasticXPSpinnerUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.SpinnerUI
    - - javax.swing.plaf.basic.BasicSpinnerUI
      - - com.jgoodies.looks.plastic.PlasticSpinnerUI
        - - com.jgoodies.looks.plastic.PlasticXPSpinnerUI

-     public final class PlasticXPSpinnerUI
      extends PlasticSpinnerUI

  The JGoodies PlasticXP Look&Feel implementation of `SpinnerUI`. Configures the default editor to adjust font baselines and component bounds. Also, changes the border of the buttons and the size of the arrows.
  Version:
    $Revision: 1.11 $
  Author:
    Karsten Lentzsch

- - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicSpinnerUI

      `spinner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticXPSpinnerUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Component` | `createArrowButton(int direction)`
    `static ComponentUI` | `createUI(JComponent b)`

    - ### Methods inherited from class com.jgoodies.looks.plastic.PlasticSpinnerUI

      `createEditor, createLayout, replaceEditor`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicSpinnerUI

      `createNextButton, createPreviousButton, createPropertyChangeListener, getBaseline, getBaselineResizeBehavior, installDefaults, installKeyboardActions, installListeners, installNextButtonListeners, installPreviousButtonListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlasticXPSpinnerUI

          public PlasticXPSpinnerUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### createArrowButton

          protected Component createArrowButton(int direction)

      Overrides:
        `createArrowButton` in class `PlasticSpinnerUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.